
#ifndef __BOOT_H
#define __BOOT_H

#ifdef __cplusplus
extern "C" {
#endif
#ifdef __BOOT_H_GLOBAL
#define __BOOT_H_EXTERN
#else
#define __BOOT_H_EXTERN extern
#endif

/************************************************************************************************
 *                                          Version                                             *
 ************************************************************************************************/

/************************************************************************************************
 *                                          How to use                                          *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Enable config                                        *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Includes                                            *
 ************************************************************************************************/

#include <stdint.h>

/************************************************************************************************
 *                                          Defines                                              *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Typedefs                                            *
 ************************************************************************************************/

typedef enum
{
    INVALID = 0,
    VALID   = !INVALID
} validity_status;

typedef void (*pFunction)(void);

/************************************************************************************************
 *                                          Interfaces                                          *
 ************************************************************************************************/

void    run_app(void);
uint8_t check_addr_sp(uint32_t addr);
uint8_t check_addr_pc(uint32_t addr);

#ifdef __cplusplus
};
#endif

#endif // __BOOT_H
